Function
lca
Returns the last common ancestor of two tree nodes.
bool lca(a, b, result)
Include Headers
seqan/index.h
Parameters

a | The first node. Types: TopDownHistory Iterator
b | The second node. Types: TopDownHistory Iterator
result | A reference to the resulting lca node. Types: TopDownHistory Iterator

Return Values
false if the lca of a and b is the root node, otherwise true.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48